#
# spec file for package perl-Math-Clipper
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Math-Clipper
Version:        1.29
Release:        1.30
%define cpan_name Math-Clipper
Summary:        Polygon clipping in 2D
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHELDRAKE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CppGuess) >= 0.12
BuildRequires:  perl(ExtUtils::Typemaps::Default) >= 0.05
BuildRequires:  perl(ExtUtils::XSpp) >= 0.18
BuildRequires:  perl(Module::Build) >= 0.380000
BuildRequires:  perl(Module::Build::WithXSpp) >= 0.14
BuildRequires:  perl(Test::Deep)
%{perl_requires}

%description
'Clipper' is a C++ (and Delphi) library that implements polygon clipping.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes src xsp

%changelog
* Sat May 18 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.29
  see /usr/share/doc/packages/perl-Math-Clipper/Changes
  1.29 Thursday May 16 23:51:00 2019
  - Fix build error under clang and pre-5.18 Perls.
* Sun May 12 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.28
  see /usr/share/doc/packages/perl-Math-Clipper/Changes
  1.28  Sat May 11 03:42:00 2019
  - Avoid use of ** in calculating scaling factors in
    integerize_coordinate_sets() to avoid inconsistent
    behavior of underlying pow() function between BSD + clang
    and other systems.
* Sat May 19 2018 coolo@suse.com
- updated to 1.27
  see /usr/share/doc/packages/perl-Math-Clipper/Changes
  1.27  Sun May 13 17:46:00 2018
  - Fix integerize bug introduced in 1.26 for 32 bit Perl (ivsize < 8)
* Thu May  3 2018 coolo@suse.com
- updated to 1.26
  see /usr/share/doc/packages/perl-Math-Clipper/Changes
  1.26  Tue May 1 02:47:00 2018
  - Harmonize differences in float multiplication results found on
    FreeBSD + clang systems in integerize_coordinate_sets()
  1.25  Mon April 30 11:44:00 2018
  - Fix Integerize.t to support Perls with long doubles
  - More explicit rounding and truncating in integerize_coordinate_sets()
* Fri Apr 27 2018 coolo@suse.com
- updated to 1.24
  see /usr/share/doc/packages/perl-Math-Clipper/Changes
  1.24  Fri April 20 15:19:00 2018
  - Fix Integerize.t to handle '-0' from sprintf("%%.0f")
    in Perl 5.27.8.
* Sun Jun  8 2014 coolo@suse.com
- initial package 1.23
  * created by cpanspec 1.78.08
